// TeSSLDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TeSSL.h"
#include "TeSSLDlg.h"
#include "mySSL.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

int init_OpenSSL(void);
int close_OpenSSL(void);

// CTeSSLDlg dialog

CTeSSLDlg::CTeSSLDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTeSSLDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

CTeSSLDlg::~CTeSSLDlg()
{
	SSL_free((SSL *)pSSL);
	sslFreeCTX();
	close_OpenSSL();
}

void CTeSSLDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CTeSSLDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// CTeSSLDlg message handlers

BOOL CTeSSLDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	init_OpenSSL();

 	sslInitCTX_c(NULL, NULL, NULL);
 
 	sslCreateSSL_c((SSL **)&pSSL);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTeSSLDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTeSSLDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

